classification
Title: [Easy doc] threading.excepthook doc talks about "object"
Type: Stage: resolved
Components: Documentation Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Daniel Baskal, docs@python, miss-islington, srittau, vstinner
Priority: normal Keywords: newcomer friendly, patch

Created on 2019-10-13 15:40 by srittau, last changed 2019-10-22 22:19 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 16891 merged python-dev, 2019-10-22 18:33
PR 16894 merged miss-islington, 2019-10-22 20:37
Messages (6)
msg354588 - (view) Author: Sebastian Rittau (srittau) * Date: 2019-10-13 15:40
The documentation of threading.excepthook (https://docs.python.org/3.8/library/threading.html#threading.excepthook) talks about "object", when it only has a "thread" attribute:

"Storing object using a custom hook can resurrect it if it is set to an object which is being finalized. Avoid storing object after the custom hook completes to avoid resurrecting objects."

I believe this is a copy and paste error from sys.unraisablehook.
msg354810 - (view) Author: Daniel Baskal (Daniel Baskal) * Date: 2019-10-16 18:14
Hi, as a newcomer I'd like to work on this!

Though, I am uncertain about whether these two hooks (threading.excepthook and sys.unraisablehook) have similar behavior and wouldn't it be misleading to simply change mentions of "object" to "thread" in the docs?

Thanks for the guidance!
msg355071 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-10-21 14:03
> https://docs.python.org/3.8/library/threading.html#threading.excepthook

"Storing *object* using a custom hook can resurrect it"
should be
"Storing *thread* using a custom hook can resurrect it"
in Doc/library/threading.rst
msg355153 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-10-22 20:37
New changeset 91528f40c30717563a478920861c81d18da5bf63 by Victor Stinner (Daniel Baskal) in branch 'master':
bpo-38466: Fix threading.excepthook doc (GH-16891)
https://github.com/python/cpython/commit/91528f40c30717563a478920861c81d18da5bf63
msg355154 - (view) Author: miss-islington (miss-islington) Date: 2019-10-22 20:45
New changeset 6329a56ca7f99075caa95a075024736a90ad2857 by Miss Skeleton (bot) in branch '3.8':
bpo-38466: Fix threading.excepthook doc (GH-16891)
https://github.com/python/cpython/commit/6329a56ca7f99075caa95a075024736a90ad2857
msg355161 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-10-22 22:19
Thanks Daniel Baskal for the fix and Sebastian Rittau for the bug report. The doc is now fixed in 3.8 and master branches.
History
Date User Action Args
2019-10-22 22:19:26vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg355161

stage: patch review -> resolved
2019-10-22 20:45:07miss-islingtonsetnosy: + miss-islington
messages: + msg355154
2019-10-22 20:37:59miss-islingtonsetpull_requests: + pull_request16433
2019-10-22 20:37:52vstinnersetmessages: + msg355153
2019-10-22 18:33:05python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request16430
2019-10-21 14:03:41vstinnersetmessages: + msg355071
2019-10-16 18:14:21Daniel Baskalsetnosy: + Daniel Baskal
messages: + msg354810
2019-10-14 13:12:14vstinnersetkeywords: + newcomer friendly
title: threading.excepthook doc talks about "object" -> [Easy doc] threading.excepthook doc talks about "object"
2019-10-13 15:40:26srittaucreate